<div class="py-2 position-relative">
  <ng-container *transloco="let t; prefix: 'filters'">
    <button mat-button [matMenuTriggerFor]="menu" id="filtersMenuButton">
      <mat-icon class="me-1">sort</mat-icon>
        {{ t('title') }}
        @if (filledFields > 0 && selectedFiltersLabel) {
          ({{filledFields}}):
        }
    </button>
    @if (selectedFiltersLabel) {
      <span>{{selectedFiltersLabel}}</span>
    }
    <mat-menu #menu="matMenu" class="p-3 w-auto" (closed)="filter()">
      <div>
        <mat-form-field class="w-100" appearance="outline" (click)="$event.stopPropagation();" (keydown.enter)="$event.stopPropagation();">
          <mat-select [(ngModel)]="filterValue" [placeholder]="t('selectColumn')" id="filterColumn">
            <mat-option value="email">email</mat-option>
            <mat-option value="status">status</mat-option>
          </mat-select>
        </mat-form-field>
      </div>
        @if (filterValue === 'status') {
          <div>
            <mat-form-field class="w-100" appearance="outline" (click)="$event.stopPropagation();" (keydown.enter)="$event.stopPropagation();">
              <mat-select [value]="vm.status" (selectionChange)="onStatusChange($event)"
                [placeholder]="t('statusPlaceholder')" id="filterStatusSelection"
              >
                <mat-option>None</mat-option>
                @for (s of statuses; track statuses) {
                  <mat-option [value]="s.value">{{ s.label }}</mat-option>
                } @empty {
                  {{ t('statusEmpty') }}
                }
              </mat-select>
            </mat-form-field>
          </div>
        } @else if (filterValue === 'email') {
          <div>
            <mat-form-field class="w-100" appearance="outline" (click)="$event.stopPropagation();" (keydown.enter)="$event.stopPropagation();">
              <input matInput [value]="vm.email" (change)="onMailChange($event)" type="text"
                     [placeholder]="t('emailPlaceholder')" id="filterEmail">
            </mat-form-field>
          </div>
        }
        <div class="d-flex flex-row justify-content-start gap-3 align-items-center">
          <button mat-flat-button id="filtersReset" color="secondary" (click)="reset()">{{ t('reset') }}</button>
          <button mat-flat-button id="filtersApply" color="accent" (click)="filter()">{{ t('apply') }}</button>
        </div>
    </mat-menu>
  </ng-container>
</div>
